@import "../../variables/variables";
@import "../../variables/mixins";
/*#region react-datetime*/

/*!
  * https://github.com/YouCanBookMe/react-datetime
  */

.rdt {
  position: relative;
}

.rdtPicker {
  display: none;
  position: absolute;
  width: 250px;
  padding: 4px;
  margin-top: 1px;
  z-index: 99999 !important;
  background: #fff;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  border: 1px solid #f9f9f9;
}

.rdtOpen .rdtPicker {
  display: block;
}

.rdtStatic .rdtPicker {
  box-shadow: none;
  position: static;
}

.rdtPicker .rdtTimeToggle {
  text-align: center;
}

.rdtPicker table {
  width: 100%;
  margin: 0;
}

.rdtPicker td,
.rdtPicker th {
  text-align: center;
  height: 28px;
}

.rdtPicker td {
  cursor: pointer;
}

.rdtPicker td.rdtDay:hover,
.rdtPicker td.rdtHour:hover,
.rdtPicker td.rdtMinute:hover,
.rdtPicker td.rdtSecond:hover,
.rdtPicker .rdtTimeToggle:hover {
  background: #eeeeee;
  cursor: pointer;
}

.rdtPicker td.rdtOld,
.rdtPicker td.rdtNew {
  color: #999999;
}

.rdtPicker td.rdtToday {
  position: relative;
}

.rdtPicker td.rdtToday:before {
  content: "";
  display: inline-block;
  border-left: 7px solid transparent;
  border-bottom: 7px solid #428bca;
  border-top-color: rgba(0, 0, 0, 0.2);
  position: absolute;
  bottom: 4px;
  right: 4px;
}

.rdtPicker td.rdtActive,
.rdtPicker td.rdtActive:hover {
  background-color: #428bca;
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}

.rdtPicker td.rdtActive.rdtToday:before {
  border-bottom-color: #fff;
}

.rdtPicker td.rdtDisabled,
.rdtPicker td.rdtDisabled:hover {
  background: none;
  color: #999999;
  cursor: not-allowed;
}

.rdtPicker td span.rdtOld {
  color: #999999;
}

.rdtPicker td span.rdtDisabled,
.rdtPicker td span.rdtDisabled:hover {
  background: none;
  color: #999999;
  cursor: not-allowed;
}

.rdtPicker th {
  border-bottom: 1px solid #f9f9f9;
}

.rdtPicker .dow {
  width: 14.2857%;
  border-bottom: none;
  cursor: default;
}

.rdtPicker th.rdtSwitch {
  width: 100px;
}

.rdtPicker th.rdtNext,
.rdtPicker th.rdtPrev {
  font-size: 21px;
  vertical-align: top;
}

.rdtPrev span,
.rdtNext span {
  display: block;
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Chrome/Safari/Opera */
  -khtml-user-select: none;
  /* Konqueror */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
}

.rdtPicker th.rdtDisabled,
.rdtPicker th.rdtDisabled:hover {
  background: none;
  color: #999999;
  cursor: not-allowed;
}

.rdtPicker thead tr:first-child th {
  cursor: pointer;
}

.rdtPicker thead tr:first-child th:hover {
  background: #eeeeee;
}

.rdtPicker tfoot {
  border-top: 1px solid #f9f9f9;
}

.rdtPicker button {
  border: none;
  background: none;
  cursor: pointer;
}

.rdtPicker button:hover {
  background-color: #eee;
}

.rdtPicker thead button {
  width: 100%;
  height: 100%;
}

td.rdtMonth,
td.rdtYear {
  height: 50px;
  width: 25%;
  cursor: pointer;
}

td.rdtMonth:hover,
td.rdtYear:hover {
  background: #eee;
}

.rdtCounters {
  display: inline-block;
}

.rdtCounters > div {
  float: left;
}

.rdtCounter {
  height: 100px;
}

.rdtCounter {
  width: 40px;
}

.rdtCounterSeparator {
  line-height: 100px;
}

.rdtCounter .rdtBtn {
  height: 40%;
  line-height: 40px;
  cursor: pointer;
  display: block;
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Chrome/Safari/Opera */
  -khtml-user-select: none;
  /* Konqueror */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
}

.rdtCounter .rdtBtn:hover {
  background: #eee;
}

.rdtCounter .rdtCount {
  height: 20%;
  font-size: 1.2em;
}

.rdtMilli {
  vertical-align: middle;
  padding-left: 8px;
  width: 48px;
}

.rdtMilli input {
  width: 100%;
  font-size: 1.2em;
  margin-top: 37px;
}

.rdtTime td {
  cursor: default;
}
/*#endregion*/

.bg-lightgray-b {
  background-color: #f9f9f9;
}

/*#region #booking*/

#booking-page .booking {
  .container {
    width: 640px;
    max-width: 100%;
  }
  .section-header {
    background-color: #737d7c;
    h2 {
      color: $white;
    }
    .btn-container {
      a {
        border-radius: 0;
        padding: 10px 50px;
        text-align: center;
        background-color: $white;
        color: $primary-color;
        text-transform: uppercase;
        font-weight: $font-weight-bold;
        box-shadow: none;
        border: none;
        display: block;
        width: auto;
        float: left;
        margin-right: 5px;
        text-align: center;
        &.active,
        &:hover {
          background-color: $primary-color;
          color: $white;
        }
        &:last-child {
          margin-right: 0;
        }
      }
    }
  }
  .section-body {
    .ajax-content {
      position: relative;
      > .pre-load {
        min-height: 300px;
      }
    }
    .section-item {
      .section-item-header {
        background-color: #e6e6e6;
        color: $black;
        text-transform: uppercase;
        font-weight: $font-weight-bold;
        padding: 20px 0;
      }
      .section-item-body {
        > *:nth-child(1) {
          margin-top: 20px;
          margin-bottom: 20px;
        } // .dragscroll {
        //   width: 100%;
        //   overflow-y: auto;
        //   > .flex-container {
        //     width: 1200px;
        //     margin-bottom: 10px;
        //   }
        // }
        .days-container {
          padding-top: 20px;
          padding-bottom: 20px;
          margin-top: 0;
          margin-bottom: 0;
          h3 {
            font-weight: $font-weight-bold;
            width: 30%;
          }
          .date-container {
            position: relative;
            width: 70%;
          }
        }
        .hours-container {
          margin-top: 20px;
          margin-bottom: 20px;
          .item-all-hours {
            .item-hours {
              @include border();
              -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              background-color: $white;
              cursor: pointer;
              text-align: center;
              padding: 20px 0;
              font-weight: $font-weight-normal;
              &.active,
              &:hover {
                background-color: $primary-color;
                color: $white;
                border-color: $primary-color;
              }
              &.disabled,
              &.disabled:hover {
                opacity: 1;
                cursor: no-drop;
                background-color: $bg-gray;
                color: $bg-black;
                border-color: $border-gray;
                opacity: 0.5;
              }
            }
          }
          .dateofftext {
            @include flex-center();
            min-height: 300px;
            background: $white;
            text-align: center;
            color: $primary-color;
          }
        }
        .services-select {
          text-align: center;
          height: 40px;
        }
        .services-container {
          .item {
            @include border();
            border-bottom: none;
            .item-header,
            .item-child {
              background-color: $white;
              width: 100%;
              padding: 15px;
              font-size: 14px;
              line-height: 1.42857143;
            }
            .item-header {
              font-weight: $font-weight-bold;
              .icon {
                margin-right: 5px;
              }
              .total {
                float: right;
                color: $gray;
                font-weight: $font-weight-normal;
              }
            }
            .item-child {
              @include border-top();
              -webkit-box-pack: justify;
              -webkit-justify-content: space-between;
              -ms-flex-pack: justify;
              justify-content: space-between;
              .left {
                width: 60%;
              }
              .right {
                width: 40%;
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;
                .price {
                  width: calc(100% - 80px);
                  font-weight: $font-weight-bold;
                  text-align: right;
                }
                .time {
                  width: 80px;
                  color: $gray;
                }
                .btn-container {
                  width: 60px;
                  text-align: right;
                  .btn-default {
                    padding: 0;
                    width: 34px;
                    border: none;
                    background-color: #ccc;
                    color: $white;
                    i {
                      font-size: 15px;
                      line-height: 34px;
                    }
                    &:hover {
                      background-color: $primary-color-hover;
                    }
                  }
                }
              }
            }
            &:last-child {
              @include border-bottom();
            }
          }
        }
        .services-total {
          margin-top: 20px;
          background-color: #f2f2f2;
          text-align: center;
          padding-top: 10px;
          padding-bottom: 10px;
          margin-bottom: 20px;
          .item {
            @include border-bottom();
            -webkit-box-pack: justify;
            -webkit-justify-content: space-between;
            -ms-flex-pack: justify;
            justify-content: space-between;
            padding-bottom: 7.5px;
            margin-bottom: 7.5px;
            .left {
              width: 65%;
              text-align: left;
            }
            .right {
              width: 35%;
              -webkit-box-pack: justify;
              -webkit-justify-content: space-between;
              -ms-flex-pack: justify;
              justify-content: space-between;
              .price {
                width: calc(100% - 100px);
                font-weight: $font-weight-bold;
                text-align: left;
              }
              .time {
                width: 80px;
                color: $gray;
                text-align: left;
              }
              .btn-container {
                width: 20px;
                text-align: center;
              }
            }
            &:last-child {
              border-bottom: none;
              margin-bottom: 10px;
              padding-bottom: 10px;
            }
          }
          p:last-child {
            margin-top: 5px;
          }
        }
        .staff-container {
          margin-top: 0;
          margin-bottom: 0;
          .left {
            border-right: 1px solid $border-gray;
            width: 100px;
            padding-top: 20px;
            padding-bottom: 20px;
            margin-right: 10px;
          }
          .right {
            width: calc(100% - 110px);
            cursor: move;
            .item-ava {
              width: 100px;
              margin: 0 auto;
            }
          }
          .item-ava {
            text-align: center;
            cursor: pointer;
            .img-container {
              width: 80px;
              height: 80px;
              overflow: hidden;
              border-radius: 50%;
              background-color: $bg-gray;
              margin: 0 auto;
              border: 5px solid transparent;
              -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
              transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
            }
            h3 {
              font-weight: $font-weight-bold;
            }
            &.current,
            &:hover {
              .img-container {
                border: 5px solid $primary-color;
              }
            }
          }
          .item-ava-default {
            h3 {
              text-transform: uppercase;
            }
          }
        }
        .book-form {
          width: 75%;
          margin: 20px auto 0 auto;
          input {
            width: 100%;
            margin-bottom: 10px;
            height: 40px;
            -webkit-box-shadow: none;
            box-shadow: none;
          }
          .btn {
            width: 100%;
            border-radius: 0;
          }
        }
        .book-group-form {
          input {
            &:nth-last-of-type(1),
            &:nth-last-of-type(2) {
              width: 100%;
            }
            &:nth-last-of-type(2) {
              margin-right: 0;
            }
            &:nth-last-of-type(1) {
              margin-left: 0;
            }
          }
        }
      }
    }
  }
  .owl-booking {
    .owl-dots {
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-direction: row;
      -ms-flex-direction: row;
      flex-direction: row;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
      -webkit-flex-flow: row wrap;
      -ms-flex-flow: row wrap;
      flex-flow: row wrap; // -webkit-justify-content: space-around;
      -ms-flex-pack: distribute; // justify-content: space-around;
      width: 70%;
      margin: 10px auto 0 auto;
      .owl-dot {
        flex-grow: 1;
        display: block;
        width: auto;
        span {
          display: block;
          margin: 0;
          height: 3px;
          width: 100%;
        }
        &.active,
        &:hover {
          span {
            width: 100%;
          }
        }
      }
    }
  }
}

#booking-page.individual
  .booking
  .section-body
  .section-item
  .section-item-body
  .book-form {
  input {
    &:nth-child(1),
    &:nth-child(2),
    &:nth-child(5),
    &:nth-child(6) {
      width: calc((100% - 10px) / 2);
    }
    &:nth-child(1),
    &:nth-child(5) {
      margin-right: 10px;
    }
  }
}

/*#endregion*/

/*#region #tongquan*/

/*#endregion*/

@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
  /*#region index*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region booking*/
  #booking-page .booking {
    .section-body {
      .section-item {
        .section-item-body {
          .dragscroll {
            > .flex-container {
              width: 1000px;
            }
          }
        }
      }
    }
  }
  /*#endregion*/
  /*#region index*/
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region booking*/
  /*#endregion*/
  /*#region index*/
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region booking*/
  #booking-page .booking {
    .section-header {
      .btn-container {
        a {
          width: 50%;
          margin-right: 0;
          padding: 10px 0;
        }
      }
    }
    .section-body {
      .section-item {
        .section-item-body {
          .days-container {
            > .container {
              @include non-flex-container();
              > * {
                display: block;
                width: 100%;
              }
              .date-container {
                margin-top: 5px;
              }
            }
          }
          .hours-container {
            padding-right: 0;
            padding-left: 0;
          }
          .services-container {
            .item {
              .item-child {
                @include non-flex-container();
                .left {
                  width: 100%;
                  margin-bottom: 5px;
                }
                .right {
                  width: 100%;
                }
              }
            }
          }
          .services-total {
            .item {
              @include non-flex-container();
              .left {
                width: 100%;
                margin-bottom: 5px;
              }
              .right {
                width: 100%;
              }
            }
          }
          .staff-container {
            .left {
              padding-top: 15px;
              padding-bottom: 15px;
            }
            #staff-slider {
              .owl-dots {
                width: 100%;
              }
            }
            .right {
              width: calc(100% - 111px);
            }
          }
          .book-form {
            width: 100%;
          }
        }
      }
    }
  }
  /*#endregion*/
  /*#region index*/
  /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
  /*#region product*/
  /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/

@-moz-document url-prefix() {
  /*Code is here*/
}

/*#endregion*/

/*#region ie*/

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
}

/*#endregion*/
